Bug 133855 - Desktop Printing icon exists but tryptint.pl does not
Desktop Printing icon exists but tryptint.pl does not
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
Depends On:
  Show dependency treegraph
Reported: 2004-09-27 17:48 EDT by Edward Rousseau
Modified: 2016-06-06 18:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-28 11:01:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Edward Rousseau 2004-09-27 17:48:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.2)
Gecko/20040809 Epiphany/1.3.8

Description of problem:
The desktop printing icon is still exists on my panel (nfs home exists
for both an FC2 and rawhide install) but when I press it it cannot
find tryprint.pl so I get an ugly error dialog. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. log into a rawhide box with an nfs home dir that still has FC2 info
on it.
2. Press desktop printing icon.

Actual Results:  Error dialog stating: Cannot launch icon

Details: Failed to execute child process "tryprint.pl" (No such file
or directory) appears.

Expected Results:  List of printers should appear.

Additional info:

Since tryprint.pl is going away either the icon should not appear on
the desktop or tryprint.pl should alias the gnome-printman call.
Comment 1 Colin Walters 2004-09-28 15:33:19 EDT
The problem here is that we'd like to get rid of gnome-print-manager
(package printman) entirely.  It's really not useful in the new
printing paradigm.  

I'd like not to keep it around just for people sharing NFS homedirs
between FC2 and FC3.

I'm going to briefly investigate having the icon auto-hide from the
panel, and if that doesn't work I'll try to think of something else.
Comment 2 Colin Walters 2004-10-26 15:05:35 EDT
Yeah, this is a general panel bug.  Reassigning to the panel; it needs
to give us some way to have icons not appear if their executable
doesn't exist.  Probably the panel shouldn't be copying .desktop files
in the first place...
Comment 3 Mark McLoughlin 2004-10-28 10:15:53 EDT
colin: didn't we talk about keeping around a tryit.pl somewhere and
have it just launch something reasonable?

Otherwise, I think just close this as WONTFIX
Comment 5 Colin Walters 2004-10-28 10:48:11 EDT
Mark: not sure what it should launch.  I guess it could make eggcups
display your job list, but then it's just kind of redundant.

Hopefully we can get GNOME upstream to do the
fork-configuration-and-merge-from-previous thing for 2.10.  When
that's done we prune dead launchers.

Note You need to log in before you can comment on or make changes to this bug.